Sorry! We accept app manifest with Node.js runtime 12 only

Hello my friends,

When i try to add a custom app in https://developers.freshworks.com/account/new i get an error that says
“Sorry! We accept app manifest with Node.js runtime 12 only”. I have validated and packed my freshdesk app.
Screenshot from 2021-10-28 18-14-51
This is my manifest file. It is working fine in my local dev environment. My index.html file contains the js that utilizes client.request to load an external page using a GET request. Please can you help me guys.

1 Like

Hi @sudo-g1itch,

Welcome to our developer community! :tada:

I hope you have built the app with Freshworks CLI (FDK) version lower than 7. We have released FDK 7 that can be installed after upgrading the Node runtime to v12. The reason for this change is that Node 10 has been deprecated and FDK 7 has been upgraded to work with Node version 12.

Could you follow these steps to upgrade your local development environment to Node v12 and FDK 7 and then test and publish the app?

3 Likes

It fixed my issue, Thank you so much Raviraj. <3

1 Like

This topic was automatically closed 6 days after the last reply. New replies are no longer allowed.